package com.muyu.common.domain.req;

import com.muyu.common.core.validation.custom.IsSysRuleActivate;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.validation.constraints.NotEmpty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：蓬叁
 * @Package：com.muyu.common.domain.req
 * @Project：cloud-rule
 * @name：RuleVersionAddReq
 * @Date：2024/8/27 下午3:17
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "规则版本添加请求对象")
public class RuleVersionUpdReq {

    /**
     * 是否激活
     */
    @Schema(title = "激活状态",type = "String",description = "U")
    @IsSysRuleActivate
    private String ruleVersionActivate ;
    /**
     * 版本状态
     */
    @Schema(title = "版本状态",type = "String",description = "I")
    private String ruleVersionStatus ;
    /**
     * 是否测试
     */
    @Schema(title = "测试状态",type = "String",description = "W")
    private String ruleVersionTest ;

}
