package com.muyu.engine;

import com.muyu.common.domain.DataValue;
import com.muyu.engine.basic.BasicEngine;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

/**
 * @Author：蓬叁
 * @Package：com.muyu.engine
 * @Project：cloud-rule
 * @name：Main
 * @Date：2024/8/29 下午3:12
 */
public class Main {

    static Map<String , BasicEngine<DataValue>> engineMap = new ConcurrentHashMap<>();

    static {
        try {
            Class<?> aClass = Class.forName("com.muyu.server.ENGINE_VALUE_JDIES732842_V1");
            try {
                engineMap.put("ENGINE_VALUE_JDIES732842_V1",(BasicEngine<DataValue>) aClass.newInstance());
            } catch (InstantiationException e) {
                throw new RuntimeException(e);
            } catch (IllegalAccessException e) {
                throw new RuntimeException(e);
            }
        } catch (ClassNotFoundException e) {
            throw new RuntimeException(e);
        }
    }

    public static void main(String[] args) {
        DataValue dataValue = DataValue.builder()
                .type("String")
                .label("姓名")
                .key("name")
                .value(null)
                .build();
        BasicEngine<DataValue> engine = engineMap.get("ENGINE_VALUE_JDIES732842_V1");
        engine.set(dataValue);
        engine.execution();
    }

}
